mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Security.Policy.EvidenceBase System.Security.Policy.IBuiltInEvidence System.Security.Policy.IIdentityPermissionFactory System.Runtime.InteropServices.ComVisible(true)

The presence of evidence produces a in the grant set. If there is a for , the that corresponds to the evidence will be compared with the demanded permission.

Zones are defined by the enumeration.

Provides the security zone of a code assembly as evidence for policy evaluation. This class cannot be inherited.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class with the zone from which a code assembly originates.

  The zone of origin for the associated code assembly.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object To be added

  Creates an equivalent copy of the evidence object.

  A new, identical copy of the evidence object.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Policy.Zone ``

  The zone determination for the specified URL is based on the zone mapping settings in Microsoft Internet Explorer and can therefore differ from computer to computer. The zone mapping settings are located on the Security tab of the Internet Options dialog launched from the Tools menu.

  Creates a new zone with the specified URL.

  A new zone with the specified URL.

  The URL from which to create the zone.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.IPermission `` To be added

  Creates an identity permission that corresponds to the current instance of the evidence class.

  A for the specified evidence.

  The evidence set from which to construct the identity permission.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  objects are equal if they designate the same .

  Compares the current evidence object to the specified object for equivalence.

  true if the two objects are equal; otherwise, false.

  The evidence object to test for equivalence with the current object.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added.

  Gets the hash code of the current zone.

  The hash code of the current zone.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.SecurityZone To be added: an object of type 'Security.SecurityZone' To be added

  Gets the zone from which the code assembly originates.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added.

  Returns a string representation of the current .

  A representation of the current .